Description

Hi,

User here are a bit lost when having to open xls files, just because ogr file filters don't mention it, and because browser panel does not see

it at all. 

Seeing xls (and maybe other undocument extensions supported in latest GDAL), and seeing them in browser too would solve the issue.

A attribute table icon for browser should be used to display the file. 

See discussion opened previously here: .xls format in ogr file filter and browser?

History

#1 - 2013-07-08 09:32 AM - Etienne Tourigny

supported file filters should be updated with a more flexible mechanism, and perhaps allows all supported files to be shown, regardless of file extension.

There was a discussion about this in the gdal mailing list, although I can't find it right now.

#2 - 2013-07-08 09:39 AM - Jürgen Fischer

Etienne Tourigny wrote:

supported file filters should be updated with a more flexible mechanism, and perhaps allows all supported files to be shown, regardless of file

extension. There was a discussion about this in the gdal mailing list, although I can't find it right now.

This one?  Multiple extensions in GDAL_DMD_EXTENSION ?

#3 - 2015-04-22 02:21 AM - Paolo Cavallini

- Subject changed from Add XLS in Ogr supported file filter AND browser  to Add XLS and KMZ in Ogr supported file filter AND browser 

Same for KMZ

#4 - 2015-10-08 01:20 AM - Paolo Cavallini

Apparently also ENVI

#5 - 2015-12-23 08:21 AM - Regis Haubourg

Hi guys, still cleaning old requests. I have seen no change in that area in GDAL topic pointed by Jürgen. Are you still interested in having file filters
http://lists.osgeo.org/pipermail/qgis-developer/2013-July/027091.html
http://lists.osgeo.org/pipermail/gdal-dev/2013-February/035509.html


reflecting GDAL supported files? Another option could be to have no filter at all in OGR dialog. Browser still need a filter though, how to have it display all

datatypes?

Should we use GDAL autodetect feature? (can be slow I guess)

#6 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

#7 - 2019-02-05 10:18 PM - Nyall Dawson

- Resolution set to fixed/implemented

- Description updated

- Status changed from Open to Closed

This is fixed in recent versions i believe. Please re-open if still an issue.
